//some WCH error codes
#define ROOT_DEV_DISCONNECT 0
#define ROOT_DEV_CONNECTED  1
#define ROOT_DEV_FAILED     2
#define ROOT_DEV_SUCCESS    3

#define ERR_SUCCESS         0x00
#define ERR_USB_CONNECT     0x15
#define ERR_USB_DISCON      0x16
#define ERR_USB_BUF_OVER    0x17
#define ERR_USB_DISK_ERR    0x1F
#define ERR_USB_TRANSFER    0x20
#define ERR_USB_UNSUPPORT   0xFB
#define ERR_USB_UNKNOWN     0xFE

#define ERR_CH559_ERROR     0x81
//#define ERR_DISK_DISCON   0x82
#define ERR_STATUS_ERR      0x83
#define ERR_HUB_PORT_FREE   0x84
#define ERR_MBR_ERROR       0x91
#define ERR_TYPE_ERROR      0x92
#define ERR_BPB_ERROR       0xA1
#define ERR_TOO_LARGE       0xA2
#define ERR_FAT_ERROR       0xA3
#define ERR_PART_ERROR      0xA4 // a newly created error code
#define ERR_DISK_FULL       0xB1
#define ERR_FDT_OVER        0xB2
#define ERR_MISS_DIR        0xB3
#define ERR_FILE_CLOSE      0xB4
#define ERR_OPEN_DIR        0x41
#define ERR_MISS_FILE       0x42
#define ERR_FOUND_NAME      0x43

// todo this should be somewere else
#define DISK_UNKNOWN      0x00
#define DISK_DISCONNECT   0x01
#define DISK_CONNECT      0x02
#define DISK_USB_ADDR     0x04
#define DISK_MOUNTED      0x05
#define DISK_READY        0x10
#define DISK_OPEN_ROOT    0x12
#define DISK_OPEN_DIR     0x13
#define DISK_OPEN_FILE    0x14
#define DISK_OPEN_FILE_B  0x15
